set(BLAS_SRCDIR ${CMAKE_CURRENT_SOURCE_DIR}/blas-3.8.0)
set(BLAS_SOURCES
   ${BLAS_SRCDIR}/caxpy.f
   ${BLAS_SRCDIR}/ccopy.f
   ${BLAS_SRCDIR}/cdotc.f
   ${BLAS_SRCDIR}/cdotu.f
   ${BLAS_SRCDIR}/cgbmv.f
   ${BLAS_SRCDIR}/cgemm.f
   ${BLAS_SRCDIR}/cgemv.f
   ${BLAS_SRCDIR}/cgerc.f
   ${BLAS_SRCDIR}/cgeru.f
   ${BLAS_SRCDIR}/chbmv.f
   ${BLAS_SRCDIR}/chemm.f
   ${BLAS_SRCDIR}/chemv.f
   ${BLAS_SRCDIR}/cher.f
   ${BLAS_SRCDIR}/cher2.f
   ${BLAS_SRCDIR}/cher2k.f
   ${BLAS_SRCDIR}/cherk.f
   ${BLAS_SRCDIR}/chpmv.f
   ${BLAS_SRCDIR}/chpr.f
   ${BLAS_SRCDIR}/chpr2.f
   ${BLAS_SRCDIR}/crotg.f
   ${BLAS_SRCDIR}/cscal.f
   ${BLAS_SRCDIR}/csrot.f
   ${BLAS_SRCDIR}/csscal.f
   ${BLAS_SRCDIR}/cswap.f
   ${BLAS_SRCDIR}/csymm.f
   ${BLAS_SRCDIR}/csyr2k.f
   ${BLAS_SRCDIR}/csyrk.f
   ${BLAS_SRCDIR}/ctbmv.f
   ${BLAS_SRCDIR}/ctbsv.f
   ${BLAS_SRCDIR}/ctpmv.f
   ${BLAS_SRCDIR}/ctpsv.f
   ${BLAS_SRCDIR}/ctrmm.f
   ${BLAS_SRCDIR}/ctrmv.f
   ${BLAS_SRCDIR}/ctrsm.f
   ${BLAS_SRCDIR}/ctrsv.f
   ${BLAS_SRCDIR}/dasum.f
   ${BLAS_SRCDIR}/daxpy.f
   ${BLAS_SRCDIR}/dcabs1.f
   ${BLAS_SRCDIR}/dcopy.f
   ${BLAS_SRCDIR}/ddot.f
   ${BLAS_SRCDIR}/dgbmv.f
   ${BLAS_SRCDIR}/dgemm.f
   ${BLAS_SRCDIR}/dgemv.f
   ${BLAS_SRCDIR}/dger.f
   ${BLAS_SRCDIR}/dnrm2.f
   ${BLAS_SRCDIR}/drot.f
   ${BLAS_SRCDIR}/drotg.f
   ${BLAS_SRCDIR}/drotm.f
   ${BLAS_SRCDIR}/drotmg.f
   ${BLAS_SRCDIR}/dsbmv.f
   ${BLAS_SRCDIR}/dscal.f
   ${BLAS_SRCDIR}/dsdot.f
   ${BLAS_SRCDIR}/dspmv.f
   ${BLAS_SRCDIR}/dspr.f
   ${BLAS_SRCDIR}/dspr2.f
   ${BLAS_SRCDIR}/dswap.f
   ${BLAS_SRCDIR}/dsymm.f
   ${BLAS_SRCDIR}/dsymv.f
   ${BLAS_SRCDIR}/dsyr.f
   ${BLAS_SRCDIR}/dsyr2.f
   ${BLAS_SRCDIR}/dsyr2k.f
   ${BLAS_SRCDIR}/dsyrk.f
   ${BLAS_SRCDIR}/dtbmv.f
   ${BLAS_SRCDIR}/dtbsv.f
   ${BLAS_SRCDIR}/dtpmv.f
   ${BLAS_SRCDIR}/dtpsv.f
   ${BLAS_SRCDIR}/dtrmm.f
   ${BLAS_SRCDIR}/dtrmv.f
   ${BLAS_SRCDIR}/dtrsm.f
   ${BLAS_SRCDIR}/dtrsv.f
   ${BLAS_SRCDIR}/dzasum.f
   ${BLAS_SRCDIR}/dznrm2.f
   ${BLAS_SRCDIR}/icamax.f
   ${BLAS_SRCDIR}/idamax.f
   ${BLAS_SRCDIR}/isamax.f
   ${BLAS_SRCDIR}/izamax.f
   ${BLAS_SRCDIR}/lsame.f
   ${BLAS_SRCDIR}/sasum.f
   ${BLAS_SRCDIR}/saxpy.f
   ${BLAS_SRCDIR}/scabs1.f
   ${BLAS_SRCDIR}/scasum.f
   ${BLAS_SRCDIR}/scnrm2.f
   ${BLAS_SRCDIR}/scopy.f
   ${BLAS_SRCDIR}/sdot.f
   ${BLAS_SRCDIR}/sdsdot.f
   ${BLAS_SRCDIR}/sgbmv.f
   ${BLAS_SRCDIR}/sgemm.f
   ${BLAS_SRCDIR}/sgemv.f
   ${BLAS_SRCDIR}/sger.f
   ${BLAS_SRCDIR}/snrm2.f
   ${BLAS_SRCDIR}/srot.f
   ${BLAS_SRCDIR}/srotg.f
   ${BLAS_SRCDIR}/srotm.f
   ${BLAS_SRCDIR}/srotmg.f
   ${BLAS_SRCDIR}/ssbmv.f
   ${BLAS_SRCDIR}/sscal.f
   ${BLAS_SRCDIR}/sspmv.f
   ${BLAS_SRCDIR}/sspr.f
   ${BLAS_SRCDIR}/sspr2.f
   ${BLAS_SRCDIR}/sswap.f
   ${BLAS_SRCDIR}/ssymm.f
   ${BLAS_SRCDIR}/ssymv.f
   ${BLAS_SRCDIR}/ssyr.f
   ${BLAS_SRCDIR}/ssyr2.f
   ${BLAS_SRCDIR}/ssyr2k.f
   ${BLAS_SRCDIR}/ssyrk.f
   ${BLAS_SRCDIR}/stbmv.f
   ${BLAS_SRCDIR}/stbsv.f
   ${BLAS_SRCDIR}/stpmv.f
   ${BLAS_SRCDIR}/stpsv.f
   ${BLAS_SRCDIR}/strmm.f
   ${BLAS_SRCDIR}/strmv.f
   ${BLAS_SRCDIR}/strsm.f
   ${BLAS_SRCDIR}/strsv.f
   ${BLAS_SRCDIR}/xerbla.f
   ${BLAS_SRCDIR}/xerbla_array.f
   ${BLAS_SRCDIR}/zaxpy.f
   ${BLAS_SRCDIR}/zcopy.f
   ${BLAS_SRCDIR}/zdotc.f
   ${BLAS_SRCDIR}/zdotu.f
   ${BLAS_SRCDIR}/zdrot.f
   ${BLAS_SRCDIR}/zdscal.f
   ${BLAS_SRCDIR}/zgbmv.f
   ${BLAS_SRCDIR}/zgemm.f
   ${BLAS_SRCDIR}/zgemv.f
   ${BLAS_SRCDIR}/zgerc.f
   ${BLAS_SRCDIR}/zgeru.f
   ${BLAS_SRCDIR}/zhbmv.f
   ${BLAS_SRCDIR}/zhemm.f
   ${BLAS_SRCDIR}/zhemv.f
   ${BLAS_SRCDIR}/zher.f
   ${BLAS_SRCDIR}/zher2.f
   ${BLAS_SRCDIR}/zher2k.f
   ${BLAS_SRCDIR}/zherk.f
   ${BLAS_SRCDIR}/zhpmv.f
   ${BLAS_SRCDIR}/zhpr.f
   ${BLAS_SRCDIR}/zhpr2.f
   ${BLAS_SRCDIR}/zrotg.f
   ${BLAS_SRCDIR}/zscal.f
   ${BLAS_SRCDIR}/zswap.f
   ${BLAS_SRCDIR}/zsymm.f
   ${BLAS_SRCDIR}/zsyr2k.f
   ${BLAS_SRCDIR}/zsyrk.f
   ${BLAS_SRCDIR}/ztbmv.f
   ${BLAS_SRCDIR}/ztbsv.f
   ${BLAS_SRCDIR}/ztpmv.f
   ${BLAS_SRCDIR}/ztpsv.f
   ${BLAS_SRCDIR}/ztrmm.f
   ${BLAS_SRCDIR}/ztrmv.f
   ${BLAS_SRCDIR}/ztrsm.f
   ${BLAS_SRCDIR}/ztrsv.f
)
